clear all; clc; close all;

% Problem 1.
% Parameters
Jload = 0.5;            % Inertia of load [kg.m^2]
Jmotor = 0.1;           % Inertia of rotor of electric machine [kg.m^2]
Ksh = 700;              % Stiffness of the shaft [N-m/rad]
J = Jload + Jmotor;
T = 1e-3;


%% sub-problem (2) %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
w = 0:1e-5:50;
wrl = 1/J./w.*(cos(w)-1);

figure;
plot(w,wrl);
w = 2.3308:1e-5:2.3314;
wrl = 1/J./w.*(cos(w)-1);
xlabel('w [rad]');ylabel('w_r_l [rad]');

figure;
plot(w,wrl);
xlabel('w [rad]');ylabel('w_r_l [rad]');
clear w;clear wrl;
% Maximum value; can be found from graph
w = 2.3311;
% end of sub-problem (2) %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% sub-problem (3) %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
T = 1e-3;
J_hat = J;
B = 1e4;

sim('problem4_1_sim.mdl');
figure;hold on;
plot(time,theta_rm,'r');plot(time,theta_rl,'b');
title('theta_r_m and theta_r_l');
legend('theta_r_m','theta_r_l');
grid;hold off;

figure;hold on;
plot(time,theta_rm,'r');plot(time,theta_rl,'b');
title('theta_r_m and theta_r_l');
axis([2.2 2.4 1.85e-3 1.93e-3]);
legend('theta_r_m','theta_r_l');
grid;hold off;

figure;hold on;
plot(time,theta_rm,'r');plot(time,theta_rm1,'b');
title('with and without damping');
legend('without damping','with damping');
grid;hold off;

figure;
plot(time,theta_rm-theta_rm1);
title('error of with and without damping');