clear all;
clc;

P_rated = 3*746;
V_rated_LL_rms = 220;
f = 60;
w = 2*pi*f;
Pole = 4;
PP = Pole/2;

Rs =0.435;
Xls = 0.754;
Lls = Xls/(w);
Xm = 26.13;
Lm = Xm/(w);
Xlr = 0.754;
Llr = Xlr/(w);
Rr = 0.816;

Ls = Lls +Lm;
Lr = Llr +Lm;

J = 1;
B = 0.1;

Lambda_r = 0.45;
idse = Lambda_r/Lm;

Te_ref = 20;
iqse = Te_ref/(1.5*PP*Lm/Lr*Lambda_r);

%%
figure(1)
hold on;
plot(t, ia, 'LineWidth', 1.5)
grid on;
legend('i_{a} [A]')
ylabel('i_{a} [A]')
xlabel('Time [sec]')
hold off;