clear all;
clc;


P_rated = 3*746;
V_rated_LL_rms = 220;
f = 60;
w = 2*pi*f;
Pole = 4;
PP = Pole/2;

Rs =0.435;
Xls = 0.754;
Lls = Xls/(w);
Xm = 26.13;
Lm = Xm/(w);
Xlr = 0.754;
Llr = Xlr/(w);
Rr = 0.816;

Ls = Lls +Lm;
Lr = Llr +Lm;

J = 1;
B = 0.1;

wrm_rpm = 1200;
wrm_rad = wrm_rpm*2*pi/60;
wr = wrm_rad*PP;
idse = 6;
Te = 0;
iqse_rate = 5000;

Lambda_dr = Lm*idse;

%%
% for i = 1:1:length(t)
%     wr(i) = wrm_rad*PP;
% end
%     
figure(1)
hold on;
subplot(3,1,1), plot(t, wsl, 'LineWidth', 1.5)
grid on;
ylabel('Angular speed [rad/s]')
xlabel('Time [sec]')
legend('w_{sl} [rad/s]')
subplot(3,1,2), plot(t, wr, 'LineWidth', 1.5)
grid on;
ylabel('Angular speed [rad/s]')
xlabel('Time [sec]')
legend('w_{r} [rad/s]')
hold off;
subplot(3,1,3), plot(t, we, 'LineWidth', 1.5)
grid on;
ylabel('Angular speed [rad/s]')
xlabel('Time [sec]')
legend('w_{e} [rad/s]')
hold off;

figure(2)
hold on;
subplot(2,1,1), plot(t, Vdse, 'LineWidth', 1.5)
grid on;
ylabel('Voltage [V]')
xlabel('Time [sec]')
legend('V_{ds}^e [V]')
subplot(2,1,2), plot(t, Vqse, 'LineWidth', 1.5)
grid on;
ylabel('Voltage [V]')
xlabel('Time [sec]')
legend('V_{qs}^e [V]')
axis([0 0.002 100 150])
hold off;

figure(3)
hold on;
subplot(2,1,1), plot(t, Vdss, 'LineWidth', 1.5)
grid on;
ylabel('Voltage [V]')
xlabel('Time [sec]')
legend('V_{ds}^s [V]')
subplot(2,1,2), plot(t, Vqss, 'LineWidth', 1.5)
grid on;
ylabel('Voltage [V]')
xlabel('Time [sec]')
legend('V_{qs}^s [V]')
hold off;

figure(4)
hold on;
plot(t, Vab, 'LineWidth', 1.5)
grid on;
ylabel('Voltage [V]')
xlabel('Time [sec]')
legend('V_{ab} [V]')
hold off;
